export type LogLevel = 'log' | 'warn' | 'error';
export declare class Logger {
    readonly logLevel: LogLevel;
    private _module;
    constructor(logLevel?: LogLevel);
    module(name: string): Logger;
    /**
     * Log a message to stdout
     * @param message The message to log
     */
    log(...args: unknown[]): void;
    /**
     * Log a warning to stderr
     * @param message The message to log
     */
    warn(...args: unknown[]): void;
    /**
     * Log an error to stderr
     * @param message The message to log
     */
    error(...args: unknown[]): void;
    private write;
}
